<?php

class TaxonItem{
    private $id;
    public $genushybridmarker;
    public $genus;
    public $infragenericmarker;
    public $infragenericep;
    public $infragenericauthor;
    public $specieshybridmarker;
    public $aggregatmarker;
    public $speciesep;
    public $speciesauthor;
    public $infraspecificmarker;
    public $infraspecificep;
    public $infraspecificauthor;
    public $cultivgroupmarker;
    public $cultivmarker;
    public $cultivname;
    //czech name of taxon
    public $czname;
    //abbreviation for checklist
    public $abbrev;
    public $note;
    //identifier of valid name 
    public $id_tax;
    //datetime of adding item
    public $add;
    //datetime of edit this record
    public $edit;
    //creator's identifier
    public $userid;
    //identifier of user that edit this record
    public $change;
	public $family;
	public $familyname;
	//id of new taxon instead of remove taxon
	public $idnew;
    

    public function getId(){
        return $this->id;
    }
    
    public function getAddDate(){
        $date = strtotime($this->add);
        return StrFTime("%d. %m. %Y %H:%M:%S", $date);
    }
    
    public function getAddDateISO(){
        $date = strtotime($this->add);
        return StrFTime("%Y-%m-%d %H:%M:%S", $date);
    }
    
    public function getEditDate(){
        $date = strtotime($this->edit);
        return StrFTime("%d. %m. %Y %H:%M:%S", $date);
    }
    
}
