<?php
/**
 * @license © 2020, Vladimír Hans, BSD licence http://opensource.org/licenses/bsd-license.php
 */
namespace App;

use Nette;
use Nette\Application\Routers\Route;
use Nette\Application\Routers\RouteList;
use AdamStipak\RestRoute;

class RouterFactory
{

	/**
	 * @return Nette\Application\IRouter
	 */
	public static function createRouter()
	{
		$router = new RouteList();
		$router[] = new RestRoute('Service','xml');
		$router[] = new Route('<presenter>/<action>[/<id>]', 'Homepage:default');
		return $router;
	}

}
