$(document).ready(function() {
	$(document ).on( 'focus', ':input', function(){
		$( this ).attr( 'autocomplete', 'off' );
	});
	
	$(document).on("click", "span.fileDownloadSimpleRichExperience", function () {
		getFileName2($(this).attr('href'));
	});

	$("#flash-cancel").click(function(){
		$(".flash.info").hide();
		$(".flash.error").hide();
		$(".flash.warning").hide();
	});

	$("div.flash.info").click(function(){
		$(".flash.info").hide();
	});
	$("div.flash.error").click(function(){
		$(".flash.error").hide();
	});
});

function getFileName(filename){
	$.ajax({
		dataType:	"json",
		url		:	"./homepage/default?filename="+ filename + "&do=file",
		data	:	$(this).serializeArray(),
		success: function(data) {
			$.fileDownload("../../taxony/export/" + filename, {
				preparingMessageHtml: "Prosím počkejte, připravujeme soubor ke stažení",
				failMessageHtml: "Vyskytl se problém při stahování souboru"
			});
		return false; //this is critical to stop the click event which will trigger a normal file download!
		}
	});
}

function getFileName2(filename){
	var result = null;
	var $preparingFileModal = $("#preparing-file-modal");
	$preparingFileModal.dialog({ modal: true });
	$.ajax({
		dataType:	"json",
		url		:	"./homepage/default?filename="+ filename + "&do=file",
		data	:	$(this).serializeArray(),
		success: function(data) {
			$.fileDownload("../../taxony/export/" + filename,{
				successCallback: function (url) {
					$preparingFileModal.dialog('close');
				},
				failCallback: function (responseHtml, url) {
					$preparingFileModal.dialog('close');
					$("#error-modal").dialog({ modal: true });
				}
			});
			$preparingFileModal.dialog('close');
			return false; //this is critical to stop the click event which will trigger a normal file download!
		}
	});
}	
function setFamilySuggest(selectName,sample, partUrl){
	$(selectName).empty();
	$.ajax({
		dataType: "json",
		url		: partUrl + "/service/family/readAll?sample="+encodeURIComponent(sample),
		data	: $(this).serializeArray(),
		success: function(data) {
			$(selectName).empty();
			$.each( data, function( key, obj ) {
				$.each(obj,function(key,val){
					$(selectName).append('<option value="' + key + '">' + val + '</option>');
				})
				
			});
		}
	});
}
