/**
 * @license © 2023, Vladimír Hans, BSD licence http://opensource.org/licenses/bsd-license.php
 */

$(function(){
	$(document).ready(function(){
		$('#taxon-suggest-cont-occur').hide();
		$("#newtaxon").keyup(function(e){
			if($("#newtaxon").val().length >4 && e.keyCode != 40 && e.keyCode != 16 && e.keyCode != 9){
				$('#taxonsuggest-occur option').remove();
				$('#taxon-suggest-cont-occur').show();
				setTaxonSuggest('#taxonsuggest-occur',$("#newtaxon").val(),'../');
			}
			if(e.keyCode === 27){
				$('#taxon-suggest-cont-occur').hide();
			}
		});
		$("#close-suggest-taxon-occur").click(function(e){
			$('#taxon-suggest-cont-occur').hide();
		});
		$("#taxonsuggest-occur").keydown( function(e) {
			if(e.keyCode === 13){
				e.preventDefault();
				setTaxonOccur();
			}
		});
		
		$("#newtaxon").keydown( function(e) {
			if(e.keyCode === 13  || e.keyCode === 40){
				e.preventDefault();
				$('#taxonsuggest-occur').focus();
				$('#taxonsuggest-occur').val($('#taxonsuggest-occur option:first').val());
			}
		});
		
		$("#taxonsuggest-occur").focusout( function(e) {
			$('#taxon-suggest-cont-occur').hide();
		});
		
		$("#taxonsuggest-occur").click( function(e) {
			setTaxonOccur();
			$("#frm-occurenceEditForm-abbrev").focus();
		});

	});
	

	

	
});

function setTaxonOccur(){
		$("#newtaxon").val($("#taxonsuggest-occur option:selected").text());
		$('#taxon-suggest-cont-occur').hide();
		$("#frm-deleteForm-newid").val($("#taxonsuggest-occur option:selected").val());
	}

function setTaxonSuggest(selectName,sample,partUrl){
	$(selectName).empty();
	$.ajax({
		dataType: "json",
		url		: partUrl + "service/taxon/readAll?sample="+encodeURIComponent(sample),
		data	: $(this).serializeArray(),
		success: function(data) {
			$(selectName).empty();
			$.each( data, function( key, val ) {
				$(selectName).append('<option value="' + key + '">' + val + '</option>');
			});
		}
	});
}

