<?php
/**
 * @license © 2015, Vladimír Hans, BSD licence http://opensource.org/licenses/bsd-license.php
 */

class DownloadRepository {
    use Nette\SmartObject;
    private $mapper;
    
    public function __construct(DownloadMapper $mapper){
        $this->mapper = $mapper;
    }
    
    public function getCount(){
        return $this->mapper->getCount();
    }
    
    public function getLast(){
        return $this->mapper->getLast();
    }
    
    public function isDeleteOk($time){
        return $this->mapper->isDeleteOk($time);
    }
    
    public function save($time){
        $item['time'] = $time;
        return $this->mapper->save($item);
    }
    
}
