<?php
/**
 * @license © 2016, Vladimír Hans, BSD licence http://opensource.org/licenses/bsd-license.php
 */
class ExportRepository {
    use Nette\SmartObject;
    private $model;
    
    public function __construct(ExportModel $model) {
        $this->model = $model;
    }
    
    public function start($collection, $filename,$name){
        $this->model->setUp($collection,$filename,$name);
        return $this->model->start();
    }
    
    public function getFileName(){
        return $this->model->getFileName();
    }
}
