-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Počítač: localhost
-- Vytvořeno: Pát 10. bře 2023, 11:38
-- Verze serveru: 10.5.16-MariaDB
-- Verze PHP: 8.0.27

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Databáze: `db_dbjc2`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `taxony_tblTaxons`
--

CREATE TABLE `taxony_tblTaxons` (
  `cId` varchar(50) COLLATE utf8_czech_ci NOT NULL,
  `cGenusHybridMarker` varchar(1) COLLATE utf8_czech_ci DEFAULT NULL,
  `cGenus` varchar(50) COLLATE utf8_czech_ci NOT NULL,
  `cInfraGenericMarker` varchar(10) COLLATE utf8_czech_ci DEFAULT NULL,
  `cInfraGenericEp` varchar(50) COLLATE utf8_czech_ci DEFAULT NULL,
  `cInfraGenericAuthor` varchar(50) COLLATE utf8_czech_ci DEFAULT NULL,
  `cSpeciesHybridMarker` varchar(1) COLLATE utf8_czech_ci DEFAULT NULL,
  `cAggregatMarker` varchar(15) COLLATE utf8_czech_ci DEFAULT NULL,
  `cSpeciesEp` varchar(100) COLLATE utf8_czech_ci DEFAULT NULL,
  `cSpeciesAuthor` varchar(50) COLLATE utf8_czech_ci DEFAULT NULL,
  `cInfraSpecificMarker` varchar(15) COLLATE utf8_czech_ci DEFAULT NULL,
  `cInfraSpecificEp` varchar(50) COLLATE utf8_czech_ci DEFAULT NULL,
  `cInfraSpecificAuthor` varchar(50) COLLATE utf8_czech_ci DEFAULT NULL,
  `cCultivGroupMarker` varchar(50) COLLATE utf8_czech_ci DEFAULT NULL,
  `cCultivMarker` varchar(10) COLLATE utf8_czech_ci DEFAULT NULL,
  `cCultivName` varchar(50) COLLATE utf8_czech_ci DEFAULT NULL,
  `cCZName` varchar(100) COLLATE utf8_czech_ci DEFAULT NULL,
  `cNote` varchar(255) COLLATE utf8_czech_ci DEFAULT NULL,
  `cAdd` datetime NOT NULL,
  `cEdit` datetime DEFAULT NULL,
  `cUserId` int(11) NOT NULL,
  `cChange` int(11) DEFAULT NULL,
  `cFamily` int(11) NOT NULL,
  `cIdNew` varchar(50) COLLATE utf8_czech_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Indexy pro exportované tabulky
--

--
-- Indexy pro tabulku `taxony_tblTaxons`
--
ALTER TABLE `taxony_tblTaxons`
  ADD PRIMARY KEY (`cId`),
  ADD KEY `indChecklistOwn` (`cId`),
  ADD KEY `taxony_indTaxonsUserId` (`cUserId`),
  ADD KEY `taxony_indTaxonsChanged` (`cChange`),
  ADD KEY `taxony_indTaxonsFamily` (`cFamily`);

--
-- Omezení pro exportované tabulky
--

--
-- Omezení pro tabulku `taxony_tblTaxons`
--
ALTER TABLE `taxony_tblTaxons`
  ADD CONSTRAINT `ref3` FOREIGN KEY (`cUserId`) REFERENCES `taxony_tblUsers` (`cId`),
  ADD CONSTRAINT `ref7` FOREIGN KEY (`cFamily`) REFERENCES `taxony_tblFamilies` (`cId`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
